BRANDELF(1)

NAME
brandelf - mark an ELF binary for a specific ABI

SYNOPSIS
brandelf [-V | --version] [-f ELF_ABI_number] [-h | --help] [-l] [-t brand] [-v] file ...

DESCRIPTION
The brandelf utility marks an ELF binary to be run under a certain ABI.

The options are as follows:

-f ELF_ABI_number
    Forces branding with the supplied ELF ABI number. Incompatible with the -t option. These values are assigned by SCO/USL.

-h | --help
    Print a usage message and exit.

-l  Writes the list of all known ELF types to standard output.

-t brand
    Brands the given ELF binaries to be of the ABI specified by argument brand. Supported ABIs include “86Open”, “AIX”, “ARM”, “AROS”, “FreeBSD”, “GNU”, “HP/UX”, “Hurd”, “IRIX”, “Linux” (an alias for “GNU”), “Modesto”, “NSK”, “NetBSD”, “None”, “OpenBSD”, “OpenVMS”, “Standalone”, “SVR4” (an alias for “None”), “Solaris” and “Tru64”.

-v  This option is accepted for compatibility with other versions of brandelf, but is otherwise ignored.

-V | --version
    Print a version identifier and exit.

If the options -f ELF_ABI_number or -t brand were specified, brandelf will brand the files named by command-line arguments file ... to be of type ELF_ABI_number or brand respectively.

If neither of the -f or -t options were specified, brandelf will display the current branding for the files named by the arguments file ....

EXIT STATUS
Exit status is 0 on success, and 1 if the command fails if a file does not exist, is too short, fails to brand properly, or the brand requested is not one of the known types and the -f option is not set.

EXAMPLES
The following is an example of a typical usage of the brandelf command:

    brandelf file
    brandelf -t GNU file

SEE ALSO
The Santa Cruz Operation, Inc., System V Application Binary Interface, April 29, 1998 (DRAFT), http://www.sco.com/developer/devspecs/.

HISTORY
The brandelf manual page first appeared in FreeBSD 2.2.

AUTHORS
This manual page was written by John-Mark Gurney <jmg@FreeBSD.org>.